;==============================================================================
    include \masm32\include\masm32rt.inc
    include vfw.inc
    include vfwextra.inc
    includelib vfw32.lib
;==============================================================================

printf MACRO format:REQ, args:VARARG
    IFNB <args>
        invoke crt_printf, cfm$(format), args
    ELSE
        invoke crt_printf, cfm$(format)
    ENDIF
    EXITM <>
ENDM

;==============================================================================
    .data
        hWnd      HWND          0
        hwndCap   HWND          0
        hInst     HINSTANCE     0
        posx      dd            0
        posy      dd            0
        wcx       WNDCLASSEX    <>
        cp        CAPTUREPARMS  <>
        msg       MSG           <>
        className db            "test_class",0
    .code
;==============================================================================

WindowProc proc hwnd:HWND, uMsg:UINT, wParam:WPARAM, lParam:LPARAM
    LOCAL rc:RECT
    SWITCH uMsg
        CASE WM_CREATE
            invoke GetClientRect, hwnd, ADDR rc
            invoke capCreateCaptureWindow,
                   chr$("Cap"),
                   WS_CHILD or WS_VISIBLE or WS_BORDER,
                   rc.left,
                   rc.top,
                   rc.right,
                   rc.bottom,
                   hwnd,
                   1000
            mov hwndCap, eax
            printf( "%d\n", hwndCap )
            invoke SendMessage, hwndCap, WM_CAP_DRIVER_CONNECT, 0, 0
            printf( "%d\t%s\n", eax, LastError$() )
            invoke SendMessage, hwndCap, WM_CAP_GET_SEQUENCE_SETUP,
                                SIZEOF CAPTUREPARMS, ADDR cp
            printf( "%d\t%s\n", eax, LastError$() )

            printf( "dwRequestMicroSecPerFrame: " )
            printf( "%d\n", cp.dwRequestMicroSecPerFrame )
            printf( "fMakeUserHitOKToCapture: " )
            printf( "%d\n", cp.fMakeUserHitOKToCapture )
            printf( "wPercentDropForError: " )
            printf( "%u\n", cp.wPercentDropForError )
            printf( "fYield: " )
            printf( "%d\n", cp.fYield )
            printf( "dwIndexSize: " )
            printf( "%d\n", cp.dwIndexSize )
            printf( "wChunkGranularity: " )
            printf( "%u\n", cp.wChunkGranularity )
            printf( "fUsingDOSMemory: " )
            printf( "%d\n", cp.fUsingDOSMemory )
            printf( "wNumVideoRequested: " )
            printf( "%u\n", cp.wNumVideoRequested )
            printf( "vKeyAbort: " )
            printf( "%u\n", cp.vKeyAbort )
            printf( "fAbortLeftMouse: " )
            printf( "%d\n", cp.fAbortLeftMouse )
            printf( "fAbortRightMouse: " )
            printf( "%d\n", cp.fAbortRightMouse )
            printf( "fLimitEnabled: " )
            printf( "%d\n", cp.fLimitEnabled )
            printf( "wTimeLimit: " )
            printf( "%u\n", cp.wTimeLimit )
            printf( "fMCIControl: " )
            printf( "%d\n", cp.fMCIControl )
            printf( "fStepMCIDevice: " )
            printf( "%d\n", cp.fStepMCIDevice )
            printf( "dwMCIStartTime: " )
            printf( "%d\n", cp.dwMCIStartTime )
            printf( "dwMCIStopTime: " )
            printf( "%d\n", cp.dwMCIStopTime )
            printf( "fStepCaptureAt2x: " )
            printf( "%d\n", cp.fStepCaptureAt2x )
            printf( "wStepCaptureAverageFrames: " )
            printf( "%u\n", cp.wStepCaptureAverageFrames )
            printf( "dwAudioBufferSize: " )
            printf( "%d\n", cp.dwAudioBufferSize )
            printf( "fDisableWriteCache: " )
            printf( "%d\n", cp.fDisableWriteCache )
            printf( "AVStreamMaster: " )
            printf( "%u\n", cp.AVStreamMaster )


comment |

    DWORD dwRequestMicroSecPerFrame;
    BOOL  fMakeUserHitOKToCapture;
    UINT  wPercentDropForError;
    BOOL  fYield;
    DWORD dwIndexSize;
    UINT  wChunkGranularity;
    BOOL  fUsingDOSMemory;
    UINT  wNumVideoRequested;
    BOOL  fCaptureAudio;
    UINT  wNumAudioRequested;
    UINT  vKeyAbort;
    BOOL  fAbortLeftMouse;
    BOOL  fAbortRightMouse;
    BOOL  fLimitEnabled;
    UINT  wTimeLimit;
    BOOL  fMCIControl;
    BOOL  fStepMCIDevice;
    DWORD dwMCIStartTime;
    DWORD dwMCIStopTime;
    BOOL  fStepCaptureAt2x;
    UINT  wStepCaptureAverageFrames;
    DWORD dwAudioBufferSize;
    BOOL  fDisableWriteCache;
    UINT  AVStreamMaster;
} CAPTUREPARMS;
|


        CASE WM_COMMAND
            SWITCH wParam
                CASE IDCANCEL
                    invoke DestroyWindow, hwnd
            ENDSW
        CASE WM_CLOSE
            invoke DestroyWindow, hwnd
        CASE WM_DESTROY
            invoke PostQuitMessage, NULL
        DEFAULT
            invoke DefWindowProc, hwnd, uMsg, wParam, lParam
            ret
    ENDSW
    return 0
WindowProc endp

;==============================================================================
start:
;==============================================================================
    invoke GetModuleHandle, NULL
    mov hInst, eax
    mov wcx.cbSize,        SIZEOF WNDCLASSEX
    mov wcx.style,         CS_HREDRAW or CS_VREDRAW or CS_BYTEALIGNWINDOW
    mov wcx.lpfnWndProc,   OFFSET WindowProc
    mov wcx.cbClsExtra,    NULL
    mov wcx.cbWndExtra,    NULL
    push hInst
    pop wcx.hInstance
    mov wcx.hbrBackground, COLOR_WINDOW + 1
    mov wcx.lpszMenuName,  NULL
    mov wcx.lpszClassName, OFFSET className
    invoke LoadIcon, NULL, IDI_APPLICATION
    mov wcx.hIcon, eax
    invoke LoadCursor, NULL, IDC_ARROW
    mov wcx.hCursor, eax
    mov wcx.hIconSm, 0

    invoke RegisterClassEx, addr wcx

    WW = 400
    WH = 300
    invoke GetSystemMetrics, SM_CXSCREEN
    shr eax, 1
    sub eax, WW / 2
    mov posx, eax
    invoke GetSystemMetrics, SM_CYSCREEN
    shr eax, 1
    sub eax, WH / 2
    mov posy, eax

    invoke CreateWindowEx,  0,
                            ADDR className,
                            chr$("Test"),
                            WS_VISIBLE or WS_OVERLAPPED or WS_SYSMENU,
                            posx, posy, WW, WH,
                            NULL, NULL,
                            NULL, NULL
    mov   hWnd, eax

    invoke ShowWindow, hWnd, SW_SHOWDEFAULT
    invoke UpdateWindow, hWnd

  msgLoop:

    invoke GetMessage, addr msg, NULL, 0, 0
    .IF eax != 0
        invoke IsDialogMessage, hWnd, addr msg
        .IF eax == 0
            invoke TranslateMessage, addr msg
            invoke DispatchMessage, addr msg
        .ENDIF
        jmp   msgLoop
    .ENDIF

    exit msg.wParam

;==============================================================================
end start
