VFWAPI equ WINAPI
VFWAPIV equ C

ICVERSION equ 0104h

BI_1632 equ 32333631h

MKFOURCC MACRO ch0, ch1, ch2, ch3
  EXITM <ch0 or ch1 SHL 8 or ch2 SHL 16 or ch3 SHL 24>
ENDM

ICTYPE_VIDEO equ MKFOURCC('v','i','d','c')
ICTYPE_AUDIO equ MKFOURCC('a','u','d','c')

ICERR_OK              equ 0
ICERR_DONTDRAW        equ 1
ICERR_NEWPALETTE      equ 2
ICERR_GOTOKEYFRAME	  equ 3
ICERR_STOPDRAWING 	  equ 4
ICERR_UNSUPPORTED     equ -1
ICERR_BADFORMAT       equ -2
ICERR_MEMORY          equ -3
ICERR_INTERNAL        equ -4
ICERR_BADFLAGS        equ -5
ICERR_BADPARAM        equ -6
ICERR_BADSIZE         equ -7
ICERR_BADHANDLE       equ -8
ICERR_CANTUPDATE      equ -9
ICERR_ABORT	          equ -10
ICERR_ERROR           equ -100
ICERR_BADBITDEPTH     equ -200
ICERR_BADIMAGESIZE    equ -201
ICERR_CUSTOM          equ -400

ICMODE_COMPRESS       equ 1
ICMODE_DECOMPRESS     equ 2
ICMODE_FASTDECOMPRESS equ 3
ICMODE_QUERY          equ 4
ICMODE_FASTCOMPRESS   equ 5
ICMODE_DRAW           equ 8

AVIIF_LIST	          equ 1
AVIIF_TWOCC	          equ 2
AVIIF_KEYFRAME	      equ 10h

ICQUALITY_LOW         equ 0
ICQUALITY_HIGH        equ 10000
ICQUALITY_DEFAULT     equ -1

ICM_USER              equ DRV_USER
ICM_RESERVED_LOW      equ DRV_USER + 1000h
ICM_RESERVED_HIGH     equ DRV_USER + 2000h
ICM_RESERVED          equ ICM_RESERVED_LOW

ICM_GETSTATE          equ ICM_RESERVED + 0
ICM_SETSTATE          equ ICM_RESERVED + 1
ICM_GETINFO           equ ICM_RESERVED + 2
ICM_CONFIGURE         equ ICM_RESERVED + 10
ICM_ABOUT             equ ICM_RESERVED + 11
ICM_GETERRORTEXT      equ ICM_RESERVED + 12
ICM_GETFORMATNAME	    equ ICM_RESERVED + 20
ICM_ENUMFORMATS		    equ ICM_RESERVED + 21
ICM_GETDEFAULTQUALITY equ ICM_RESERVED + 30
ICM_GETQUALITY        equ ICM_RESERVED + 31
ICM_SETQUALITY        equ ICM_RESERVED + 32
ICM_SET               equ ICM_RESERVED + 40
ICM_GET			          equ ICM_RESERVED + 41

ICM_FRAMERATE     equ  MKFOURCC('F','r','m','R')
ICM_KEYFRAMERATE  equ  MKFOURCC('K','e','y','R')

ICM_COMPRESS_GET_FORMAT     equ ICM_USER + 4
ICM_COMPRESS_GET_SIZE       equ ICM_USER + 5
ICM_COMPRESS_QUERY          equ ICM_USER + 6
ICM_COMPRESS_BEGIN          equ ICM_USER + 7
ICM_COMPRESS                equ ICM_USER + 8
ICM_COMPRESS_END            equ ICM_USER + 9
ICM_DECOMPRESS_GET_FORMAT   equ ICM_USER + 10
ICM_DECOMPRESS_QUERY        equ ICM_USER + 11
ICM_DECOMPRESS_BEGIN        equ ICM_USER + 12
ICM_DECOMPRESS              equ ICM_USER + 13
ICM_DECOMPRESS_END          equ ICM_USER + 14
ICM_DECOMPRESS_SET_PALETTE  equ ICM_USER + 29
ICM_DECOMPRESS_GET_PALETTE  equ ICM_USER + 30
ICM_DRAW_QUERY              equ ICM_USER + 31
ICM_DRAW_BEGIN              equ ICM_USER + 15
ICM_DRAW_GET_PALETTE        equ ICM_USER + 16
ICM_DRAW_UPDATE             equ ICM_USER + 17
ICM_DRAW_START              equ ICM_USER + 18
ICM_DRAW_STOP               equ ICM_USER + 19
ICM_DRAW_BITS               equ ICM_USER + 20
ICM_DRAW_END                equ ICM_USER + 21
ICM_DRAW_GETTIME            equ ICM_USER + 32
ICM_DRAW                    equ ICM_USER + 33
ICM_DRAW_WINDOW             equ ICM_USER + 34
ICM_DRAW_SETTIME            equ ICM_USER + 35
ICM_DRAW_REALIZE            equ ICM_USER + 36
ICM_DRAW_FLUSH	            equ ICM_USER + 37
ICM_DRAW_RENDERBUFFER       equ ICM_USER + 38
ICM_DRAW_START_PLAY         equ ICM_USER + 39
ICM_DRAW_STOP_PLAY          equ ICM_USER + 40
ICM_DRAW_SUGGESTFORMAT      equ ICM_USER + 50
ICM_DRAW_CHANGEPALETTE      equ ICM_USER + 51
ICM_DRAW_IDLE               equ ICM_USER + 52
ICM_GETBUFFERSWANTED        equ ICM_USER + 41
ICM_GETDEFAULTKEYFRAMERATE  equ ICM_USER + 42
ICM_DECOMPRESSEX_BEGIN      equ ICM_USER + 60
ICM_DECOMPRESSEX_QUERY      equ ICM_USER + 61
ICM_DECOMPRESSEX            equ ICM_USER + 62
ICM_DECOMPRESSEX_END        equ ICM_USER + 63
ICM_COMPRESS_FRAMES_INFO    equ ICM_USER + 70
ICM_COMPRESS_FRAMES         equ ICM_USER + 71
ICM_SET_STATUS_PROC	        equ ICM_USER + 72

ICOPEN STRUCT
  dwSize      DWORD ?
  fccType     DWORD ?
  fccHandler  DWORD ?
  dwVersion   DWORD ?
  dwFlags     DWORD ?
  dwError     DWORD ?
  pV1Reserved DWORD ?
  pV2Reserved DWORD ?
  dnDevNode   DWORD ?
ICOPEN ENDS

ICINFO STRUCT
  dwSize        DWORD ?
  fccType       DWORD ?
  fccHandler    DWORD ?
  dwFlags       DWORD ?
  dwVersion     DWORD ?
  dwVersionICM  DWORD ?
  szName        WORD  16  dup(?)
  szDescription WORD  128 dup(?)
  szDriver      WORD  128 dup(?)
ICINFO ENDS

VIDCF_QUALITY        equ 0001h
VIDCF_CRUNCH         equ 0002h
VIDCF_TEMPORAL       equ 0004h
VIDCF_COMPRESSFRAMES equ 0008h
VIDCF_DRAW           equ 0010h
VIDCF_FASTTEMPORALC  equ 0020h
VIDCF_FASTTEMPORALD  equ 0080h

ICCOMPRESS_KEYFRAME equ 1

ICCOMPRESS STRUCT
  dwFlags     DWORD ?
  lpbiOutput  DWORD ?
  lpOutput    DWORD ?
  lpbiInput   DWORD ?
  lpInput     DWORD ?
  lpckid      DWORD ?
  lpdwFlags   DWORD ?
  lFrameNum   DWORD ?
  dwFrameSize DWORD ?
  dwQuality   DWORD ?
  lpbiPrev    DWORD ?
  lpPrev      DWORD ?
ICCOMPRESS ENDS

ICCOMPRESSFRAMES_PADDING equ 1

ICCOMPRESSFRAMES STRUCT
  dwFlags             DWORD ?
  lpbiOutput          DWORD ?
  lOutput             DWORD ?
  lpbiInput           DWORD ?
  lInput              DWORD ?
  lStartFrame         DWORD ?
  lFrameCount         DWORD ?
  lQuality            DWORD ?
  lDataRate           DWORD ?
  lKeyRate            DWORD ?
  dwRate              DWORD ?
  dwScale             DWORD ?
  dwOverheadPerFrame  DWORD ?
  dwReserved2         DWORD ?
  GetData             DWORD ?
  PutData             DWORD ?
ICCOMPRESSFRAMES ENDS

ICSTATUS_START  equ 0
ICSTATUS_STATUS equ 1
ICSTATUS_END    equ 2
ICSTATUS_ERROR  equ 3
ICSTATUS_YIELD  equ 4

ICSETSTATUSPROC STRUCT
  dwFlags DWORD ?
  lParam  DWORD ?
  pStatus DWORD ?
ICSETSTATUSPROC ENDS

ICDECOMPRESS_HURRYUP     equ 80000000h
ICDECOMPRESS_UPDATE      equ 40000000h
ICDECOMPRESS_PREROLL     equ 20000000h
ICDECOMPRESS_NULLFRAME   equ 10000000h
ICDECOMPRESS_NOTKEYFRAME equ 08000000h

ICDECOMPRESS STRUCT
  dwFlags     DWORD ?
  lpbiInput   DWORD ?
  lpInput     DWORD ?
  lpbiOutput  DWORD ?
  lpOutput    DWORD ?
  ckid        DWORD ?
ICDECOMPRESS ENDS

ICDECOMPRESSEX STRUCT
  dwFlags DWORD ?
  lpbiSrc DWORD ?
  lpSrc   DWORD ?
  lpbiDst DWORD ?
  lpDst   DWORD ?
  xDst    DWORD ?
  yDst    DWORD ?
  dxDst   DWORD ?
  dyDst   DWORD ?
  xSrc    DWORD ?
  ySrc    DWORD ?
  dxSrc   DWORD ?
  dySrc   DWORD ?
ICDECOMPRESSEX ENDS

ICDRAW_QUERY      equ 00000001h
ICDRAW_FULLSCREEN equ 00000002h
ICDRAW_HDC        equ 00000004h
ICDRAW_ANIMATE    equ 00000008h
ICDRAW_CONTINUE   equ 00000010h
ICDRAW_MEMORYDC   equ 00000020h
ICDRAW_UPDATING   equ 00000040h
ICDRAW_RENDER     equ 00000080h
ICDRAW_BUFFER     equ 00000100h

ICDRAWBEGIN STRUCT
  dwFlags DWORD ?
  hpal    DWORD ?
  hwnd    DWORD ?
  hdc     DWORD ?
  xDst    DWORD ?
  yDst    DWORD ?
  dxDst   DWORD ?
  dyDst   DWORD ?
  lpbi    DWORD ?
  xSrc    DWORD ?
  ySrc    DWORD ?
  dxSrc   DWORD ?
  dySrc   DWORD ?
  dwRate  DWORD ?
  dwScale DWORD ?
ICDRAWBEGIN ENDS

ICDRAW_HURRYUP      equ 80000000h
ICDRAW_UPDATE       equ 40000000h
ICDRAW_PREROLL      equ 20000000h
ICDRAW_NULLFRAME    equ 10000000h
ICDRAW_NOTKEYFRAME  equ 08000000h

ICDRAW STRUCT
  dwFlags   DWORD ?
  lpFormat  DWORD ?
  lpData    DWORD ?
  cbData    DWORD ?
  lTime     DWORD ?
ICDRAW ENDS

ICDRAWSUGGEST STRUCT
  lpbiIn          DWORD ?
  lpbiSuggest     DWORD ?
  dxSrc           DWORD ?
  dySrc           DWORD ?
  dxDst           DWORD ?
  dyDst           DWORD ?
  hicDecompressor DWORD ?
ICDRAWSUGGEST ENDS

ICPALETTE STRUCT
  dwFlags DWORD ?
  iStart  DWORD ?
  iLen    DWORD ?
  lppe    DWORD ?
ICPALETTE ENDS

ICINSTALL_UNICODE     equ 8000h
ICINSTALL_FUNCTION    equ 0001h
ICINSTALL_DRIVER      equ 0002h
ICINSTALL_HDRV        equ 0004h
ICINSTALL_DRIVERW     equ 8002h

ICMF_CONFIGURE_QUERY  equ 1
ICMF_ABOUT_QUERY      equ 1

;*************************************************
; query macros start 616
; missed a bunch of stuff here, incding essential
; essential macros (that I don't know how to do.
; need to continue moving defines to after
; structs as they are in the header file.
;*************************************************




;*************************************************
; this is line 1200
;*************************************************
COMPVARS STRUCT
  cbSize      DWORD ?
  dwFlags     DWORD ?
  hic         DWORD ?
  fccType     DWORD ?
  fccHandler  DWORD ?
  lpbiIn      DWORD ?
  lpbiOut     DWORD ?
  lpBitsOut   DWORD ?
  lpBitsPrev  DWORD ?
  lFrame      DWORD ?
  lKey        DWORD ?
  lDataRate   DWORD ?
  lQ          DWORD ?
  lKeyCount   DWORD ?
  lpState     DWORD ?
  cbState     DWORD ?
COMPVARS ENDS

ICMF_COMPVARS_VALID equ 1

DDF_0001          equ 0001h
DDF_UPDATE        equ 0002h
DDF_SAME_HDC      equ 0004h
DDF_SAME_DRAW     equ 0008h
DDF_DONTDRAW      equ 0010h
DDF_ANIMATE       equ 0020h
DDF_BUFFER        equ 0040h
DDF_JUSTDRAWIT    equ 0080h
DDF_FULLSCREEN    equ 0100h
DDF_BACKGROUNDPAL equ 0200h
DDF_NOTKEYFRAME   equ 0400h
DDF_HURRYUP       equ 0800h
DDF_HALFTONE      equ 1000h
DDF_2000          equ 2000h

DDF_PREROLL   equ DDF_DONTDRAW
DDF_SAME_DIB  equ DDF_SAME_DRAW
DDF_SAME_SIZE equ DDF_SAME_DRAW

DRAWDIBTIME STRUCT
  timeCount       DWORD ?
  timeDraw        DWORD ?
  timeDecompress  DWORD ?
  timeDither      DWORD ?
  timeStretch     DWORD ?
  timeBlt         DWORD ?
  timeSetDIBits   DWORD ?
DRAWDIBTIME ENDS

PD_CAN_DRAW_DIB       equ 0001h
PD_CAN_STRETCHDIB     equ 0002h
PD_STRETCHDIB_1_1_OK  equ 0004h
PD_STRETCHDIB_1_2_OK  equ 0008h
PD_STRETCHDIB_1_N_OK  equ 0010h

AVIF_HASINDEX       equ 00000010h
AVIF_MUSTUSEINDEX   equ 00000020h
AVIF_ISINTERLEAVED  equ 00000100h
AVIF_WASCAPTUREFILE equ 00010000h
AVIF_COPYRIGHTED    equ 00020000h

MainAVIHeader STRUCT
  dwMicroSecPerFrame    DWORD ?
  dwMaxBytesPerSec      DWORD ?
  dwPaddingGranularity  DWORD ?
  dwFlags               DWORD ?
  dwTotalFrames         DWORD ?
  dwInitialFrames       DWORD ?
  dwStreams             DWORD ?
  dwSuggestedBufferSize DWORD ?
  dwWidth               DWORD ?
  dwHeight              DWORD ?
  dwReserved            DWORD 4 dup(?)
MainAVIHeader ENDS

;streamtypeVIDEO   mmioFOURCC('v', 'i', 'd', 's')
;streamtypeAUDIO   mmioFOURCC('a', 'u', 'd', 's')
;streamtypeMIDI    mmioFOURCC('m', 'i', 'd', 's')
;streamtypeTEXT    mmioFOURCC('t', 'x', 't', 's')

;cktypeDIBbits           aviTWOCC('d', 'b')
;cktypeDIBcompressed     aviTWOCC('d', 'c')
;cktypePALchange         aviTWOCC('p', 'c')
;cktypeWAVEbytes         aviTWOCC('w', 'b')

AVIStreamHeader STRUCT
  fccType               DWORD ?
  fccHandler            DWORD ?
  dwFlags               DWORD ?
  wPriority             WORD ?
  wLanguage             WORD ?
  dwInitialFrames       DWORD ?
  dwScale               DWORD ?
  dwRate                DWORD ?
  dwStart               DWORD ?
  dwLength              DWORD ?
  dwSuggestedBufferSize DWORD ?
  dwQuality             DWORD ?
  dwSampleSize          DWORD ?
  rcFrame               RECT  <>
AVIStreamHeader ENDS

AVIIF_LIST      equ 00000001h
AVIIF_KEYFRAME  equ 00000010h
AVIIF_FIRSTPART equ 00000020h
AVIIF_LASTPART  equ 00000040h
AVIIF_MIDPART   equ AVIIF_LASTPART or AVIIF_FIRSTPART
AVIIF_NOTIME    equ 00000100h
AVIIF_COMPUSE   equ 0FFF0000h

AVIINDEXENTRY STRUCT
  ckid          DWORD ?
  dwFlags       DWORD ?
  dwChunkOffset DWORD ?
  dwChunkLength DWORD ?
AVIINDEXENTRY ENDS

;----------------------------------------------------------------------
; The Microsoft version of this structure includes a zero-length array
; (PALETTEENTRY peNew[];) as the last member. Since I could not find
; any good way to do this in MASM syntax, I left the member out.
;----------------------------------------------------------------------

AVIPALCHANGE STRUCT
  bFirstEntry BYTE ?
  bNumEntries BYTE ?
  wFlags      WORD ?
AVIPALCHANGE ENDS

AVISTREAMINFOW STRUCT
  fccType               DWORD ?
  fccHandler            DWORD ?
  dwFlags               DWORD ?
  dwCaps                DWORD ?
  wPriority             WORD  ?
  wLanguage             WORD  ?
  dwScale               DWORD ?
  dwRate                DWORD ?
  dwStart               DWORD ?
  dwLength              DWORD ?
  dwInitialFrames       DWORD ?
  dwSuggestedBufferSize DWORD ?
  dwQuality             DWORD ?
  dwSampleSize          DWORD ?
  rcFrame               RECT  <>
  dwEditCount           DWORD ?
  dwFormatChangeCount   DWORD ?
  szName                WORD  64 dup(?)
AVISTREAMINFOW ENDS

AVISTREAMINFOA STRUCT
  fccType               DWORD ?
  fccHandler            DWORD ?
  dwFlags               DWORD ?
  dwCaps                DWORD ?
  wPriority             WORD  ?
  wLanguage             WORD  ?
  dwScale               DWORD ?
  dwRate                DWORD ?
  dwStart               DWORD ?
  dwLength              DWORD ?
  dwInitialFrames       DWORD ?
  dwSuggestedBufferSize DWORD ?
  dwQuality             DWORD ?
  dwSampleSize          DWORD ?
  rcFrame               RECT  <>
  dwEditCount           DWORD ?
  dwFormatChangeCount   DWORD ?
  szName                BYTE  64 dup(?)
AVISTREAMINFOA ENDS

AVIFILEINFOW STRUCT
  dwMaxBytesPerSec      DWORD ?
  dwFlags               DWORD ?
  dwCaps                DWORD ?
  dwStreams             DWORD ?
  dwSuggestedBufferSize DWORD ?
  dwWidth               DWORD ?
  dwHeight              DWORD ?
  dwScale               DWORD ?
  dwRate                DWORD ?
  dwLength              DWORD ?
  dwEditCount           DWORD ?
  szFileType            WORD  64 dup(?)
AVIFILEINFOW ENDS

AVIFILEINFOA STRUCT
  dwMaxBytesPerSec      DWORD ?
  dwFlags               DWORD ?
  dwCaps                DWORD ?
  dwStreams             DWORD ?
  dwSuggestedBufferSize DWORD ?
  dwWidth               DWORD ?
  dwHeight              DWORD ?
  dwScale               DWORD ?
  dwRate                DWORD ?
  dwLength              DWORD ?
  dwEditCount           DWORD ?
  szFileType            BYTE  64 dup(?)
AVIFILEINFOA ENDS

AVIFILEINFO_HASINDEX        equ 00000010h
AVIFILEINFO_MUSTUSEINDEX    equ 00000020h
AVIFILEINFO_ISINTERLEAVED   equ 00000100h
AVIFILEINFO_WASCAPTUREFILE  equ 00010000h
AVIFILEINFO_COPYRIGHTED     equ 00020000h
AVIFILECAPS_CANREAD         equ 00000001h
AVIFILECAPS_CANWRITE        equ 00000002h
AVIFILECAPS_ALLKEYFRAMES    equ 00000010h
AVIFILECAPS_NOCOMPRESSION   equ 00000020h

AVICOMPRESSOPTIONS STRUCT
  fccType           DWORD ?
  fccHandler        DWORD ?
  dwKeyFrameEvery   DWORD ?
  dwQuality         DWORD ?
  dwBytesPerSecond  DWORD ?
  dwFlags           DWORD ?
  lpFormat          DWORD ?
  cbFormat          DWORD ?
  lpParms           DWORD ?
  cbParms           DWORD ?
  dwInterleaveEvery DWORD ?
AVICOMPRESSOPTIONS ENDS

AVICOMPRESSF_INTERLEAVE equ 1
AVICOMPRESSF_DATARATE		equ 2
AVICOMPRESSF_KEYFRAMES	equ 4
AVICOMPRESSF_VALID		  equ 8

;******************************************************************************
;; constants first pass to here
;; but it looks like the order relative to the associated function has changed.
;; do a check pass, then look into the macros.
;******************************************************************************

VIDEOHDR STRUCT
    lpData          DWORD ?
    dwBufferLength  DWORD ?
    dwBytesUsed     DWORD ?
    dwTimeCaptured  DWORD ?
    dwUser          DWORD ?
    dwFlags         DWORD ?
    dwReserved      DWORD 4 dup(?)
VIDEOHDR ENDS

VHDR_DONE       equ 1
VHDR_PREPARED   equ 2
VHDR_INQUEUE    equ 4
VHDR_KEYFRAME   equ 8
VHDR_VALID      equ 0Fh

CHANNEL_CAPS STRUCT
  dwFlags             DWORD ?
  dwSrcRectXMod       DWORD ?
  dwSrcRectYMod       DWORD ?
  dwSrcRectWidthMod   DWORD ?
  dwSrcRectHeightMod  DWORD ?
  dwDstRectXMod       DWORD ?
  dwDstRectYMod       DWORD ?
  dwDstRectWidthMod   DWORD ?
  dwDstRectHeightMod  DWORD ?
CHANNEL_CAPS ENDS

VCAPS_OVERLAY       equ 1
VCAPS_SRC_CAN_CLIP  equ 2
VCAPS_DST_CAN_CLIP  equ 4
VCAPS_CAN_SCALE     equ 8

;; now here 3200

CAPDRIVERCAPS STRUCT
  wDeviceIndex            DWORD ?
  fHasOverlay             DWORD ?
  fHasDlgVideoSource      DWORD ?
  fHasDlgVideoFormat      DWORD ?
  fHasDlgVideoDisplay     DWORD ?
  fCaptureInitialized     DWORD ?
  fDriverSuppliesPalettes DWORD ?
  hVideoIn                DWORD ?
  hVideoOut               DWORD ?
  hVideoExtIn             DWORD ?
  hVideoExtOut            DWORD ?
CAPDRIVERCAPS ENDS

CAPSTATUS STRUCT
  uiImageWidth                DWORD ?
  uiImageHeight               DWORD ?
  fLiveWindow                 DWORD ?
  fOverlayWindow              DWORD ?
  fScale_                     DWORD ?
  ptScroll                    POINT <>
  fUsingDefaultPalette        DWORD ?
  fAudioHardware              DWORD ?
  fCapFileExists              DWORD ?
  dwCurrentVideoFrame         DWORD ?
  dwCurrentVideoFramesDropped DWORD ?
  dwCurrentWaveSamples        DWORD ?
  dwCurrentTimeElapsedMS      DWORD ?
  hPalCurrent                 DWORD ?
  fCapturingNow               DWORD ?
  dwReturn                    DWORD ?
  wNumVideoAllocated          DWORD ?
  wNumAudioAllocated          DWORD ?
CAPSTATUS ENDS

CAPTUREPARMS STRUCT
  dwRequestMicroSecPerFrame DWORD ?
  fMakeUserHitOKToCapture   DWORD ?
  wPercentDropForError      DWORD ?
  fYield                    DWORD ?
  dwIndexSize               DWORD ?
  wChunkGranularity         DWORD ?
  fUsingDOSMemory           DWORD ?
  wNumVideoRequested        DWORD ?
  fCaptureAudio             DWORD ?
  wNumAudioRequested        DWORD ?
  vKeyAbort                 DWORD ?
  fAbortLeftMouse           DWORD ?
  fAbortRightMouse          DWORD ?
  fLimitEnabled             DWORD ?
  wTimeLimit                DWORD ?
  fMCIControl               DWORD ?
  fStepMCIDevice            DWORD ?
  dwMCIStartTime            DWORD ?
  dwMCIStopTime             DWORD ?
  fStepCaptureAt2x          DWORD ?
  wStepCaptureAverageFrames DWORD ?
  dwAudioBufferSize         DWORD ?
  fDisableWriteCache        DWORD ?
  AVStreamMaster            DWORD ?
CAPTUREPARMS ENDS

CAPINFOCHUNK STRUCT
  fccInfoID DWORD ?
  lpData    DWORD ?
  cbData    DWORD ?
CAPINFOCHUNK ENDS

